Page MenuHomePhabricator

Blog should make use of HTTPS addresses when possible and get rid of protocol-relative URLs
Closed, ResolvedPublic

Description

Blog still references protocol-relative (ex: //cdn-images.mailchimp.com/embedcode/classic-081711.css) and non-HTTPS URLs. Former are considered an anti-pattern for some time now.
We should change them over to HTTPS URLs where applicable.

Event Timeline

Volker_E created this task.Apr 6 2017, 6:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 6:35 PM

Hey @Volker_E, I've just edited the MailChimp campaigns to use https versions of the customized feeds. I *think* that fixes the post links (we'll see tomorrow!), but from a look at one of the feeds it looks like images are still in http?

https://blog.wikimedia.org/feed/?show_custom_feed=weekly_digest
https://blog.wikimedia.org/feed/?show_custom_feed=daily_digest

Used the wrong account above, sorry.

Volker_E closed this task as Resolved.Apr 27 2017, 4:29 AM
Volker_E triaged this task as Normal priority.
Volker_E added a subscriber: jeffelder.

Got deployed at “2017-04-27 00:44:26 +0000 (Thu, Apr 27, 2017)”